Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::IdentityTransform Class Reference

The IdentityTransform is a special case of NonlinearTransform were no transformation takes place. More...

`#include <transform.h>`

Inheritance diagram for sc::IdentityTransform:

[legend]
Collaboration diagram for sc::IdentityTransform:

[legend]
List of all members.

## Public Methods

| ~IdentityTransform ()
void | transform_coordinates (const RefSCVector &x)
| These override the tranformation members of NonlinearTransform and do nothing.
void | transform_gradient (const RefSCVector &g)
| Transform the gradient at a point in the new coordinate system. More...
void | transform_hessian (const RefSymmSCMatrix &h)
| Transform the hessian to the new coordinate system. More...
void | transform_ihessian (const RefSymmSCMatrix &ih)
| Transform the inverse of the hessian. More...

## Detailed Description

The IdentityTransform is a special case of NonlinearTransform were no transformation takes place.

## Member Function Documentation

void sc::IdentityTransform::transform_gradient | ( | const RefSCVector & | g | ) | `[virtual]`

| Transform the gradient at a point in the new coordinate system. transform_coordinates must be called first to give the point. Reimplemented from sc::NonlinearTransform.

void sc::IdentityTransform::transform_hessian | ( | const RefSymmSCMatrix & | h | ) | `[virtual]`

| Transform the hessian to the new coordinate system. transform_gradient must be called first to initialize this routine. Reimplemented from sc::NonlinearTransform.

void sc::IdentityTransform::transform_ihessian | ( | const RefSymmSCMatrix & | ih | ) | `[virtual]`

| Transform the inverse of the hessian. transform_gradient must be called first to initialize this routine. Reimplemented from sc::NonlinearTransform.

The documentation for this class was generated from the following file:

- math/optimize/transform.h